Skip to main content
GET
/
v1
/
file-manager
/
{fileManagerEntityId}
Read File Manager Entity
curl --request GET \
  --url https://{tenant}.mindbridge.ai/api/v1/file-manager/{fileManagerEntityId} \
  --header 'Authorization: Bearer <token>'
{
  "version": 123,
  "engagementId": "<string>",
  "name": "<string>",
  "id": "<string>",
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "type": "DIRECTORY",
  "parentFileManagerEntityId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.mindbridge.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

fileManagerEntityId
string
required

Response

200 - application/json

OK

version
integer<int64>
required

Data integrity version to ensure data consistency.

engagementId
string
required

Identifies the associated engagement.

name
string
required

The name of the directory.

id
string

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

type
enum<string>

Indicates whether the object is a DIRECTORY or a FILE.

Available options:
DIRECTORY,
FILE
parentFileManagerEntityId
string

Identifies the parent directory. If NULL, the directory is positioned at the root level.